package ru.yandex.webmaster3.coordinator.http;

import java.io.InputStream;

import ru.yandex.webmaster3.core.http.BinaryActionRequest;
import ru.yandex.webmaster3.core.http.RequestQueryProperty;

/**
 * @author aherman
 */
public class AbstarctUpdateArchiveRequest implements BinaryActionRequest, BaseCoordinatorRequest {
    private String applicationName;
    private String applicationVersion;
    private String requestId;
    private int dataTimestamp;
    private InputStream inputStream;

    @Override
    public void setApplicationName(String applicationName) {
        this.applicationName = applicationName;
    }

    @Override
    public String getApplicationName() {
        return applicationName;
    }

    @Override
    public void setApplicationVersion(String applicationVersion) {
        this.applicationVersion = applicationVersion;
    }

    @Override
    public String getApplicationVersion() {
        return applicationVersion;
    }

    @Override
    public void setRequestId(String requestId) {
        this.requestId = requestId;
    }

    @Override
    public String getRequestId() {
        return requestId;
    }

    public int getDataTimestamp() {
        return dataTimestamp;
    }

    @RequestQueryProperty(required = true)
    public void setDataTimestamp(int dataTimestamp) {
        this.dataTimestamp = dataTimestamp;
    }

    @Override
    public void setContentInputStream(InputStream inputStream) {
        this.inputStream = inputStream;
    }

    @Override
    public InputStream getContentInputStream() {
        return inputStream;
    }
}
